/*============================================================================
  CMake - Cross Platform Makefile Generator
  Copyright 2004-2009 Kitware, Inc.
  Copyright 2004 Alexander Neundorf (neundorf@kde.org)

  Distributed under the OSI-approved BSD License (the "License");
  see accompanying file Copyright.txt for details.

  This software is distributed WITHOUT ANY WARRANTY; without even the
  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  See the License for more information.
============================================================================*/
#ifndef cmGlobalCodeLiteGenerator_h
#define cmGlobalCodeLiteGenerator_h

#include "cmExternalMakefileProjectGenerator.h"

class cmLocalGenerator;

class cmExtraCodeLiteGenerator : public cmExternalMakefileProjectGenerator
{
public:
  cmExtraCodeLiteGenerator();

  virtual const char* GetName() const
                          { return cmExtraCodeLiteGenerator::GetActualName();}
  static const char* GetActualName()                     { return "CodeLite";}
  static cmExternalMakefileProjectGenerator* New() 
                                      { return new cmExtraCodeLiteGenerator; }
  /** Get the documentation entry for this generator.  */
  virtual void GetDocumentation(cmDocumentationEntry& entry, 
                                const char* fullName) const;

  virtual void Generate();
  void CreateProjectFile(const std::vector<cmLocalGenerator*>& lgs);

  void CreateNewProjectFile(const std::vector<cmLocalGenerator*>& lgs,
                                const std::string& filename);
private:
};

#endif
